---
title: PictureInPictureEvent
slug: Web/API/PictureInPictureEvent
tags:
  - API
  - DOM
  - DOM Events
  - Event
  - Reference
---
<p>{{APIRef("DOM Events")}}</p>

<p>The <strong><code>PictureInPictureEvent</code></strong> interface represents picture-in-picture-related events, including {{domxref("HTMLVideoElement/enterpictureinpicture_event", "enterpictureinpicture")}}, {{domxref("HTMLVideoElement/leavepictureinpicture_event", "leavepictureinpicture")}} and {{domxref("PictureInPictureWindow/resize_event", "resize")}}</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("PictureInPictureEvent.PictureInPictureEvent", "PictureInPictureEvent()")}}</dt>
 <dd>Creates a <code>PictureInPictureEvent</code> event with the given parameters.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent {{domxref("Event")}}</em>.</p>

<h2 id="Methods">Methods</h2>

<p><em>This interface also inherits properties from its parent {{domxref("Event")}}</em>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Picture-in-Picture', '#pictureinpictureevent', 'PictureInPictureEvent')}}</td>
   <td>{{Spec2('Picture-in-Picture')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PictureInPictureEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Event")}} base interface</li>
</ul>
